org.mariadb.jdbc.internal.com.read

## Class ErrorPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.read.ErrorPacket

    public class ErrorPacket
    extends Object

See protocol documentation https://mariadb.com/kb/en/err_packet/

### Constructor Summary

Constructors
Constructor and Description
`ErrorPacket(Buffer buffer)` Reading error stream.

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `getErrorCode()`
`String` `getMessage()`
`String` `getSqlState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorPacket

    public ErrorPacket(Buffer buffer)

Reading error stream.

Parameters:
  `buffer` - current stream rawBytes

### Method Detail

#### getMessage

    public String getMessage()

#### getErrorCode

    public short getErrorCode()

#### getSqlState

    public String getSqlState()